
#include <getopt.h>

#include "slc.hh"
#include "options.hh"
#include "screen.hh"
#include "history.hh"

Screen S;
Options O;
History H(HISTORY_MAX_SIZE);

/*!
** Program entry point
**
** @param argc arg count
** @param argv arg vector
**
** @return program err code
*/
int main(int argc, char *argv[])
{
  // get options
  O.load(argc, argv);

  // Create graphic env
  S.init();

  // Try to login
  S.login();

  // Processing
  S.run();

  return 0;
}
